<!doctype html>
<html>
    <head>
        <script src="js/welcome.js" type="module"></script>
        <title> Vizitig</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=4">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

        <link rel="stylesheet" type="text/css" href="css/style.css">
    </head>
    <body> 
        <nav class="navbar bg-dark border-bottom bg-body-tertiary" data-bs-theme="dark">
            <div class="d-flex navbar-expand container-fluid">
                <img src="logo.png" style="height: 3em;" alt="logo">
                <a href="/" class="navbar-brand mx-2">Vizitig</a>
                <ul class="navbar-nav ms-auto"> 
                    <li class="navbar-item">
                        <span class="navbar-text mx-2"> Version: <span id="version"></span></span>
                    </li>
                    <li class="navbar-item">
                        <a href="https://gitlab.inria.fr/pydisk/examples/vizitig" class="navbar-link mx-2">git</a>
                    </li>
                </ul>
            </div>
        </nav>
        <section class="container p-2 my-3">
            <h4> Select a graph </h4>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>k</th>
                        <th>Nodes nb</th>
                        <th>Edges nb</th>
                        <th>Disk Size</th>
                        <th>Kmer index</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody id="graphs_list_holder">
                </tbody>
            </table>
        </section>
        <div class="container-fluid w-75 border-top py-4">
            <form id="upload_graph_form" class="form needs-validation" post="api/graph/">
                <div class="row">
                    <div class="col">
                        <label class="form-label" for="import_graph_files"> Import a vizitig graph or a <a href="https://github.com/GATB/bcalm">BCALM file</a></label>
                        <input id="import_graph_files" type="file" class="form-control" accept=".db, .fa, .fasta, .gz" name="file">
                    </div>
                    <div class="col-4">
                        <label class="form-label" for="import_graph_files"> Graph name</label>
                        <input id="import_graph_files" type="text" placeholder="Filename" class="col form-control" name="name" value="" required>
                    </div>
                    <div class="col-1">
                        <input class="btn btn-primary" type="submit" value="upload">
                    </div>
                </div>
            </form>
        </div>
        <div id="modals">
    	</div>

<div class="modal" tabindex="-1">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Modal title</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>Modal body text goes here.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>
	
    <div class="modal modal-xl fade check" id="modal_computing" tabindex="-1">
	<div class="modal-dialog container">
    	    <div class="modal-content">
    	        <div class="modal-header">
    	    	<h5 class="modal-title">Computing</h5>
    	        </div>
    	        <div class="modal-body container">
    	    	<div class="row">
                    <div class="col">
                        <div class="d-flex justify-content-center">
                          <div class="spinner-border" role="status">
                            <span class="visually-hidden">Loading...</span>
                          </div>
                        </div>
    	    	    </div>
    	        </div>
    	    </div>
    	</div>
    </div>
    </body>
</html>
